/******************************************************************************
 *                                                                         
 *               Copyright 2004-2006 Agilent Technologies
 *               All rights reserved.
 *
 *****************************************************************************/
 
#include "stdafx.h"
#include "CoAgilent34945A.h"

/// <summary>
///	Pointer to the IAgilent34945AChannel interface.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34945A::IAgilent34945A_get_Channel(IAgilent34945AChannel** val)
{
	HRESULT hr = S_OK;

	hr = InternalQueryInterface(this, _GetEntries(), __uuidof(*val), reinterpret_cast<void**>(val));

	return hr;
}

/// <summary>
///	Pointer to the IAgilent34945AModule interface.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34945A::IAgilent34945A_get_Module(IAgilent34945AModule** val)
{
	HRESULT hr = S_OK;

	hr = InternalQueryInterface(this, _GetEntries(), __uuidof(*val), reinterpret_cast<void**>(val));

	return hr;
}

/// <summary>
///	Pointer to the IAgilent34945ASystem interface.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34945A::IAgilent34945A_get_System(IAgilent34945ASystem** val)
{
	HRESULT hr = S_OK;

	hr = InternalQueryInterface(this, _GetEntries(), __uuidof(*val), reinterpret_cast<void**>(val));

	return hr;
}


